#%define alpha 20070829

Summary: Firmware for Marvell Libertas USB 8388 Network Adapter
Name: libertas-usb8388-firmware
Version: 5.110.22.p23
Release: 1%{?dist}
# up the Epoch because the Marvel version scheme is less than Cozybit's
Epoch: 2
License: Distributable
Group: System Environment/Kernel
URL: http://www.marvell.com/
Source0: %{name}-%{version}.tar.gz
Source1: LICENSE-usb8388.bin
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildArch: noarch

%description

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
%{__install} -m 0644 RELEASENOTES-8388.txt $RPM_BUILD_ROOT/lib/firmware/RELEASE_NOTES-usb8388.txt
%{__install} -m 0644 usb8388.img $RPM_BUILD_ROOT/lib/firmware/usb8388.bin
%{__install} -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/lib/firmware/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/%{_lib}/firmware/usb8388.bin
%doc /%{_lib}/firmware/LICENSE-usb8388.bin
%doc /%{_lib}/firmware/RELEASE_NOTES-usb8388.txt


%changelog

* Mon Dec 22 2008 C. Scott Ananian <cscott@laptop.org> - 2:5.110.22.p23-1
- New upstream release, fixes dlo trac #9053.

* Thu Nov 29 2007 C. Scott Ananian <cscott@laptop.org> - 2:5.110.22.p18-1
- New upstream release, fixes dlo trac #7973.

* Thu Nov 29 2007 C. Scott Ananian <cscott@laptop.org> - 2:5.110.22.p17-1
- New upstream release, fixes dlo trac #7150, #7016.

* Thu Nov 29 2007 C. Scott Ananian <cscott@laptop.org> - 2:5.110.20.p42-1
- Fix WDS bug?

* Tue Nov  6 2007 C. Scott Ananian <cscott@laptop.org> - 2:5.110.20.p0-1
- Fix bugs with mesh channels 6 and 11.

* Tue Nov  6 2007 C. Scott Ananian <cscott@laptop.org> - 2:5.110.19.p6-1
- Address problems with long-lived TCP connections.
- This release known to have issues with mesh channels 6 and 11.

* Fri Oct 26 2007 John (J5) Palmieri <johnp@redhat.com> - 2:5.110.19.p0-1
- Mesh route discovery optimization resulting improved route acquisition time
- Mesh beacon control for beacon enable/disable or set beacon interval
- Wirless LEDs behavior control from the driver as per OLPC ticket 1385
- Mesh always on
- Mesh start/stop feature is added
- Dynamic RSSI fix. Bug #19730
- During scan and continous mesh data transfer a race condition detected Bug #20510

* Wed Aug 29 2007 John (J5) Palmieri <johnp@redhat.com> - 2:5.110.17.p1-0.1.20070829
- Update to an interum 5.110.17.p2 with suspend fix firmware

* Tue Aug 07 2007 John (J5) Palmieri <johnp@redhat.com> - 2:5.110.17.p0-1
- Upgrade to 5.110.17.p0
- SLEEP_ACTIVATE host command now sends a reply.
- Per packet mesh TTL. Needed driver patch:
  http://lists.infradead.org/pipermail/libertas-dev/2007-July/000580.html.
- New SET_BOOT2_VER commands (for OLPC ticket #1694). Needed driver patch:
  http://lists.infradead.org/pipermail/libertas-dev/2007-July/000547.html
- Do not detach on suspend/resume
- Support for monitor mode. Needed driver patch:
  http://lists.infradead.org/pipermail/libertas-dev/2007-July/000582.html
  plus wireshark patches available here:
  https://cozybit1.dnsalias.org/~javier/patches/wireshark-0.99.5-fw-5.220.11-support.patch
- Default TTL (=10) in RREQ frames.
- Link Loss Event is not generated when Privacy bit changes in the beacon.
- Fix MESH_AUTOSTART message flood (Trac #1936)
- Enable NULL data packet (with PM=1) with scan (Trac # 1974). NULL Data
  packet will be sent to the access point if a channel other than the
  associated channel is scanned.


* Thu Jul 12 2007 John (J5) Palmieri <johnp@redhat.com> - 2:5.110.16.p1-1
- Upgrade to 5.110.16.p1

* Mon Jul 02 2007 John (J5) Palmieri <johnp@redhat.com> - 2:5.110.16.p0-1
- Upgrade to 5.110.16.p0 on Marvell's branch
- We are now using firmware from Marvell which has a version scheme which
  starts at 5.110 so we need to update the Epoch

* Fri Jun 08 2007 John (J5) Palmieri <johnp@redhat.com> - 1:5.220.11.p5-1
- clean up spec
- Upgrade to 5.220.11.p5

* Thu Mar 30 2007 Dan Williams <dcbw@redhat.com>
- Upgrade to 5.220.10.p5

* Thu Mar 29 2007 Dan Williams <dcbw@redhat.com>
- Upgrade to 5.220.10.p4

* Tue Mar 27 2007 Marcelo Tosatti <mtosatti@redhat.com>
- Upgrade to 5.220.10.p3

* Wed Mar  21 2007 Marcelo Tosatti <mtosatti@redhat.com>
- Upgrade to 5.220.10.p0

* Tue Mar  6 2007 Marcelo Tosatti <mtosatti@redhat.com>
- Upgrade to 5.220.9.p10

* Sat Feb 17 2007 Marcelo Tosatti <mtosatti@redhat.com>
- Upgrade to 5.110.12.p0

* Tue Feb 13 2007 Marcelo Tosatti <mtosatti@redhat.com>
- Upgrade to 5.110.11.p1

* Fri Dec 29 2006 Marcelo Tosatti <mtosatti@redhat.com>
- Upgrade to 5.220.9.p5 
- Added RELEASE_NOTES file to /lib/firmware/

* Mon Dec  4 2006 Marcelo Tosatti <mtosatti@redhat.com>
- Upgrade to 5.220.9 firmware

* Tue Nov  7 2006 Christopher Blizzard <blizzard@redhat.com> - usb8388-firmware
- Initial build.

